Skip to content

Bulk DELETE Domains.

DELETE
/api/shape/csd/namespaces/{namespace}/domains
curl --request DELETE \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/domains \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "allow_list": [ "example" ], "mitigated_list": [ "example" ], "namespace": "example" }'

DELETE multiple domains from allow list or mitigated list.

Examples of this operation.

namespace
required
string

Namespace Namespace.

Media typeapplication/json
BulkDeleteDomainsRequest

Request to bulk DELETE domains from allow list or mitigated list.

object
allow_list
allow_list

List of domains to DELETE from allow list.

Array<string>
mitigated_list
mitigated_list

List of domains to DELETE from mitigated list.

Array<string>
namespace
namespace

Namespace

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
Examplegenerated
{
"allow_list": [
"example"
],
"mitigated_list": [
"example"
],
"namespace": "example"
}

A successful response.

Media typeapplication/json
BulkDeleteDomainsResponse

Response after bulk deleting domains.

object
deleted
deleted

Indicates whether the domains were successfully deleted.

boolean format: boolean
Examplegenerated
{
"deleted": true
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example